
QGIS Application - Bug report #18753

QGIS crashed

2018-04-18 03:36 PM - Craig Allan

Status: Feedback

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.0.1 Regression?: No

Operating System: MS Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26640

Description

User Feedback

QGIS crashed overnight.  

It was last seen displaying about 12 layers of mostly SHP files on an OpenStreetMaps background.

Report Details

Crash ID: 60c0093ac9d5b8f56929417062eebec43d94ece2

Stack Trace

QWidget::actions :

QMenu::clear :

QgisApp::refreshProfileMenu :

QMetaObject::activate :

QMetaObject::activate :

QFileSystemWatcher::`default constructor closure' :

QMetaObject::activate :

QFileSystemWatcher::directoryChanged :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QMessageBox::showEvent :

QMessageBox::critical :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4
Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Related issues:

Duplicated by QGIS Application - Bug report # 21639: Crash report Closed 2019-03-21

Duplicated by QGIS Application - Bug report # 21780: QGIS Crashed! Closed 2019-04-05

Duplicated by QGIS Application - Bug report # 20525: QGIS Crash when closed Closed 2018-11-17

History

#1 - 2018-07-20 09:03 AM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Open to Closed

Not enough information here to diagnose - closing until further information is available

#2 - 2019-04-06 10:59 AM - Jürgen Fischer

- Resolution deleted (not reproducable)

- Status changed from Closed to Feedback

#3 - 2019-04-06 10:59 AM - Jürgen Fischer

- Duplicated by Bug report #21639: Crash report added

#4 - 2019-04-06 11:00 AM - Jürgen Fischer

- Duplicated by Bug report #21780: QGIS Crashed! added

#5 - 2019-04-06 11:00 AM - Jürgen Fischer

- Duplicated by Bug report #20525: QGIS Crash when closed added
